### Method

# Dex FutureSet get_future_at

#### Declaration [src]

    DexFuture*
    dex_future_set_get_future_at (
      DexFutureSet* future_set,
      guint position
    )

#### Description [src]

Gets the `DexFuture` at `position` within `future_set`.

It is a programmer error to request a `DexFuture` which is outside of the range of the number of futures contained within the `future_set`. Use `dex_future_set_get_size()` to determine the number of `DexFuture` that are contained within the `DexFutureSet`.

#### Parameters

`position`

  Type: `guint`

  The position within the `future_set`.

#### Return value

Type: `DexFuture`

The `DexFuture` at `position`, or `NULL`.

The returned data is owned by the instance.